hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mahadev konar (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HADOOP-3743) -libjars, -files and -archives options do not work with 0.18
Date Tue, 15 Jul 2008 21:27:32 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-3743?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12613740#action_12613740
] 

Mahadev konar commented on HADOOP-3743:
---------------------------------------

review comments:

1) the file Jobshell has all the parser and options -- is it needed? since we are parsing
with genericoptions parser? we can get rid of them.
2) also since the generic options parser always does the parsing --- in case of JobShell as
well --- the property     conf.set("mapred.used.genericoptionsparser", "yes"); will always
be set? right? In that case it will always print the warning always.

3) 
Here is a problem -- 

case 1) 
bin/hadoop jar -libjars <comma seperated jars> userjar 

case 2) 

bin/hadoop jar userjar -libjars <comma seperated jars> 

I am not sure if in both the cases JobShell tools will parse the -libjars option. If it does
then the warning is no use since it will be printed even if the userjar implements tools.
If JobShell does not parse -libjars in case 2) then we can print the warning in JobShell if
the properties of libjars and others are set in JobShell.



> -libjars, -files and -archives options do not work with 0.18
> ------------------------------------------------------------
>
>                 Key: HADOOP-3743
>                 URL: https://issues.apache.org/jira/browse/HADOOP-3743
>             Project: Hadoop Core
>          Issue Type: Bug
>    Affects Versions: 0.17.0
>            Reporter: Mahadev konar
>            Assignee: Amareshwari Sriramadasu
>            Priority: Blocker
>             Fix For: 0.18.0
>
>         Attachments: patch-3743.txt, patch-3743.txt
>
>
> I am not sure how to get -libjars and -files working with 0.18. I tried all the options
but cannot get it runnning. I am filing this as a blocker until we find out that its not broken.
-- in that case we need to update the docs with an example to say how it works. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message